> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Email Verification Message

> Verify the submitted email OTP and complete email ownership verification.



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/verifications/email-verification/verify
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        description: IDmeta environment subdomain
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/email-verification/verify:
    post:
      tags:
        - Compliance
      summary: Verify Email Verification Message
      description: >-
        Verify the submitted email OTP and complete email ownership
        verification.
      operationId: verifyEmailVerificationMessage
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailVerificationVerifyRequest'
            examples:
              default:
                summary: Verify email verification message
                value:
                  email: <string>
                  otp: <string>
                  trustFlowId: 0
                  trustValidationId: '{your_trust_validation_id}'
      responses:
        '200':
          description: Email verification completed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailVerificationVerifyResponse'
              example:
                success: true
                message: Email verification processed successfully
                data:
                  status: VERIFIED
                  attempt: 2
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: '{your_trust_validation_id}'
                verificationType: email_verification
                metadata: null
components:
  schemas:
    EmailVerificationVerifyRequest:
      type: object
      required:
        - email
        - otp
        - trustFlowId
        - trustValidationId
      properties:
        email:
          type: string
          format: email
          description: Email address to send the verification code to.
        otp:
          type: string
          description: >-
            One-time passcode sent to the email. Must be a string (for example
            "123456"), not a number.
        trustFlowId:
          type: integer
          description: Trust flow identifier.
        trustValidationId:
          type: string
          description: Trust validation identifier.
    EmailVerificationVerifyResponse:
      type: object
      description: Successful email verification response (v3).
      properties:
        type:
          type: string
          description: Verification type discriminator.
          example: verification.email_verification
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            status:
              type: string
            attempt:
              type: integer
        verificationStatus:
          type: string
        verificationStatusCode:
          type: integer
        trustFlowId:
          type: integer
          description: Trust flow identifier.
        trustValidationId:
          type: string
        verificationType:
          type: string
          example: email_verification
        metadata:
          type: object
          nullable: true
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````